<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\DatamodulHelper\Belegungen;

class FirmaTermineBelegungen extends \Kufer\Web\KuferTools\Utils\DatamodulHelper\Belegungen\FirmaBelegungen
{
  protected function setzeEinstellungen($dbwBelegung)
  {
    $this->setGlobalRestrictDateFilter($dbwBelegung);

    $dbwBelegung->dbwkurse->beruecksichtigeKurstagRaumanzeige = $this->toolSettings->versteckeKurstageWieImRaumanzeigeprogramm;

    if ($this->toolSettings->tnStatusFaTermine === '') {
      $this->toolSettings->tnStatusFaTermine = 'F';
    }
    $dbwBelegung->fromobject->status = $this->toolSettings->tnStatusFaTermine;

    return $dbwBelegung;
  }
}